%{?mingw_package_header}

Name:    mingw-iso9660io
Version: 0.0.1
Release: 2%{?dist}
Summary: ISO 9660 manipulation using C++11
URL:     https://github.com/squimrel/iso9660io
License: GPLv2+

Source0: https://github.com/squimrel/iso9660io/archive/%{version}.tar.gz

BuildArch: noarch

BuildRequires: cmake

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc-c++

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc-c++

%description
Make tiny modifications to files on an iso image.

%package -n mingw32-iso9660io
Summary: ISO 9660 manipulation using C++11

%description -n mingw32-iso9660io
Make tiny modifications to files on an iso image.

%package -n mingw64-iso9660io
Summary: ISO 9660 manipulation using C++11

%description -n mingw64-iso9660io
Make tiny modifications to files on an iso image.

%{?mingw_debug_package}

%prep
%autosetup -n iso9660io-%{version}

%build
%mingw_cmake .
%mingw_make %{?_smp_mflags}

%install
%mingw_make_install DESTDIR=%{buildroot}

%files -n mingw32-iso9660io
%{mingw32_libdir}/pkgconfig/iso9660io.pc
%{mingw32_includedir}/iso9660io.h
%{mingw32_bindir}/libiso9660io.dll
%{mingw32_libdir}/libiso9660io.dll.a

%files -n mingw64-iso9660io
%{mingw64_libdir}/pkgconfig/iso9660io.pc
%{mingw64_includedir}/iso9660io.h
%{mingw64_bindir}/libiso9660io.dll
%{mingw64_libdir}/libiso9660io.dll.a

%changelog
* Fri Aug 25 2017  <> 0.0.1-2
- Try to expand %__cmake macro
* Fri Aug 25 2017  <> 0.0.1-1
- Update to version 0.0.1
